Subject: Re: linux-next: manual merge of the vfio tree with the s390 tree

From: Niklas Schnelle <[email-masked]>
Date: Thu, 24 Sep 2020 10:25:16 +0200

Hi Stephen,

first thanks for the manual fix it's exactly the same resolution I would
have used. Sorry this conflict ended up on your desk without warning,
I had made Vasily and Heiko aware of this as an upcoming conflict but failed
to alert Alex who finally ended up carrying the change so I this is my fault.

Best regards,
Niklas Schnelle

On 9/24/20 6:26 AM, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the vfio tree got a conflict in:
> 
>   arch/s390/pci/pci_bus.c
> 
> between commit:
> 
>   abb95b7550f8 ("s390/pci: consolidate SR-IOV specific code")
> 
> from the s390 tree and commit:
> 
>   08b6e22b850c ("s390/pci: Mark all VFs as not implementing PCI_COMMAND_MEMORY")
> 
> from the vfio tree.
> 
> I fixed it up (see below) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.
>